是否该从1.2升级到2.1?

2017-8-29 01:00 [复制链接] 5 2443

这几年一直在用1.2,主要是在M3和M4上,最近在考虑是否有必要升级到2.1. 不知道2个版本的API是否兼容,担心有很多代码要重新调。看了2.1的发布文档,个人理解主要改进是对芯片和网络的支持,对么?
使用道具 举报 显示全部楼层 回复
最新评论 | 正序浏览
显示全部楼层 |楼层直达:
发表于 2017-8-29 08:41:45 | 显示全部楼层

是否该从1.2升级到2.1?

应该升级的,因为1.2这个版本已经不维护了,有什么bug也基本上不在1.2.x上进行修正,所以还是应该迁移到2.x上。兼容性上来说,RT-Thread一直做得很好的
使用道具 举报 回复
发表于 2017-8-29 19:50:10 | 显示全部楼层

是否该从1.2升级到2.1?

请问现在RTT2的最新版本是哪个?在github上看到2.1.0但是好像有点久,直接clone github会不会有些代码不稳定。
使用道具 举报 回复
发表于 2017-12-13 11:45:44 | 显示全部楼层
1.2挺好用的,我也一直用这个
使用道具 举报 回复
发表于 2018-1-25 09:13:51 | 显示全部楼层
支持升级,新加入的东西更方便使用。
使用道具 举报 回复
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|RT-Thread开发者社区 ( 沪ICP备13014002号-1

有害信息举报电话:021-31165890 手机:18930558079

© 2006-2019 上海睿赛德电子科技有限公司

Powered by RT-Thread

快速回复 返回顶部 返回列表